# Class ByteArray

#### Hierarchy

- unknown
  - ByteArray

- Defined in src/protobuf/pb_pb.d.ts:5535
- Defined in src/protobuf/pb_pb.d.ts:5549

#####
Index

### Constructors

constructor

### Methods

getBytes
getBytes_asB64
getBytes_asU8
serializeBinary
setBytes
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ByteArray(): ByteArray

- #### Returns ByteArray

  Inherited from jspb.Message.constructor

## Methods

### getBytes

- getBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5536

### getBytes_asB64

- getBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5538

### getBytes_asU8

- getBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5537

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5541

### setBytes

- setBytes(value: string | Uint8Array): ByteArray

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ByteArray

  - Defined in src/protobuf/pb_pb.d.ts:5539

### toObject

- toObject(includeInstance?: boolean): ByteArray.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ByteArray.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5542

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ByteArray

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ByteArray

  - Defined in src/protobuf/pb_pb.d.ts:5545

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ByteArray, reader: BinaryReader): ByteArray

- #### Parameters

  - ##### message: ByteArray

  - ##### reader: BinaryReader

  #### Returns ByteArray

  - Defined in src/protobuf/pb_pb.d.ts:5546

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ByteArray, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ByteArray

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5544

### `Static` toObject

- toObject(includeInstance: boolean, msg: ByteArray): ByteArray.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ByteArray

  #### Returns ByteArray.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5543

Generated using TypeDoc